Package twisted :: Package protocols :: Module msn :: Class MSNFileSend |
[frames | no frames]

## Class MSNFileSend

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                          MSNFileSend

This class provides support for sending files to other contacts.

Method Summary
| ``__init__`(self, file)`
| `connectionLost(self, reason)`
| ``connectionMade`(self)` Called when a connection is made.
| `handle_BYE(self, params)`
| `handle_CCL(self, params)`
| `handle_TFR(self, params)`
| `handle_UNKNOWN(self, cmd, params)`
| `handle_USR(self, params)`
| `handle_VER(self, params)`
| ``lineReceived`(self, line)` Override this for when each line is received.
| ``makeHeader`(self, size)` make the appropriate header given a specific segment size.
| ``sendPart`(self)` send a segment of data
Inherited from LineReceiver
| ``clearLineBuffer`(self)` Clear buffered data.
| ``dataReceived`(self, data)` Protocol.dataReceived.
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached.
| ``rawDataReceived`(self, data)` Override this for when raw data is received.
| ``sendLine`(self, line)` Sends a line to the other end of the connection.
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver.
| ``setRawMode`(self)` Sets the raw mode of this receiver.
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Instance Variable Summary
| `auth`: the auth cookie (number) to use when sending the transfer invitation
| `bytesSent`: the number of bytes that have currently been sent.
| `completed`: true if the send has completed.
| `connected`: true if a connection has been established.
| `segmentSize`: the segment (block) size.
| `targetUser`: the target user (contact).

Class Variable Summary
Inherited from LineReceiver
`str` | `_LineReceiver__buffer` = `''`
`str` | `delimiter`: The line-ending delimiter to use.
`int` | `line_mode` = 1
`int` | `MAX_LENGTH`: The maximum length of a line to allow (If a sent line is longer than this, the connection is dropped).
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`NoneType` | `transport` = None

Method Details

### __init__(self, file) (Constructor) Parameters: `file` - A string or file object represnting the file to send.

### connectionMade(self) Called when a connection is made. This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here. Overrides: `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### lineReceived(self, line) Override this for when each line is received. Overrides: `twisted.protocols.basic.LineReceiver.lineReceived` (inherited documentation)

### makeHeader(self, size) make the appropriate header given a specific segment size.

### sendPart(self) send a segment of data

Instance Variable Details

### auth the auth cookie (number) to use when sending the transfer invitation

### bytesSent the number of bytes that have currently been sent.

### completed true if the send has completed.

### connected true if a connection has been established.

### segmentSize the segment (block) size.

### targetUser the target user (contact).

Generated by Epydoc 2.0 on Sat Oct 25 00:55:05 2003 | http://epydoc.sf.net